
/* Ranks */

p {
    color: var(--blu-body-color);
}

.rankThumb {
  width: 90%;
  height: 90%;
  filter: drop-shadow(2px 4px 6px black);
  transition: transform 0.3s;
  transform: scale(0.7);
}

.rankThumb:hover {
  transform: scale(0.9);
}

.toned-down {
  filter: grayscale(100%), drop-shadow(2px 4px 6px black);
  transform: scale(0.9);
  opacity: 0.5;
  transition: filter 0.3s, opacity 0.3s, transform 0.3s;
}

.toned-down:hover {
  filter: grayscale(15%), drop-shadow(2px 4px 6px black);
  transform: scale(1);
  opacity: 1;
}

.bold {
  font-weight: bold;
  color: #FFF;
}

.rankContainer>div.row {
  align-items: center !important;
  vertical-align: middle !important;
  margin: 3% 0;
  padding-top: 3%;
  border-top: 1px solid #495057;
  min-height: 120px;
}

.rankPrefix {
  font-size: 1.2rem;
  font-weight: lighter;
}

.rankBreak {
  text-align: center;
}

.squadBtn {
  width: 100%;
  height: 50px;
  border: #495057 1px solid;
  font-weight: bold;
  text-align: center;
  border-radius: 12px;
  background-color: #ffffff00;
  transition: all 0.3s ease;
}

.rankDescDiv {
  transition: all 0.5s ease;
}

#hellfishRankContainer, #aacRankContainer {
  transition: opacity 0.5s ease;
}

.show {
  display: block !important;
}

.hide {
  display: none;
}

#squadButtons {
  margin-top: 5%;
  padding-top: 3rem;
  border-top: 1px solid #495057;
}

#squadButtons>div.row {
    justify-content: space-evenly;
    align-items: center;
}

#squadButtonsRow > div.col-sm-2{
  margin: 1rem 0;
}

#hellfishBtn {
  border: #942424 1px solid;
  --active-bg: #7e1e1e;
}

#hellfishBtn:hover {
  background-color: #942424;
  color: #FFF;
}

#AACBtn {
  border: #347fc0 1px solid;
  --active-bg: #296497;
}

#AACBtn:hover {
  background-color: #347fc0;
  color: #FFF;
}

.squadActive {
  background-color: var(--active-bg) !important;
}

@media (max-width: 768px) {
  .rankContainer>div.row>div.col-sm-2 {
    text-align: center;
  }

  .rankThumb {
    width: 40%;
    height: auto;
  }

  .toned-down {
    display: none;
  }
}